Skip to main content
GET
/
v0
/
assets
/
search
Search assets
curl --request GET \
  --url https://api.tryarchitect.com/v0/assets/search \
  --header 'x-api-key: <api-key>'
{
  "hasMore": true,
  "items": [
    {
      "assetId": "<string>",
      "tenantId": "<string>",
      "name": "<string>",
      "purpose": "<string>",
      "tags": [
        "<string>"
      ],
      "aiDescription": "<string>",
      "parentAssetId": "<string>",
      "hidden": true,
      "data": {
        "type": "<string>",
        "fileId": "<string>"
      },
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "trashedAt": "<string>",
      "deletedAt": "<string>",
      "lifecycleState": "active",
      "downloadUrl": "<string>",
      "previewDownloadUrl": "<string>"
    }
  ],
  "nextCursor": "<string>",
  "totalCount": 4503599627370495
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Query Parameters

assetType
enum<string>

assetType parameter

Available options:
image,
logo,
icon,
video,
custom-component
cursor
string

cursor parameter

limit
number

limit parameter

query
string

query parameter

Response

Successful operation

hasMore
boolean
required
items
object[]
required
nextCursor
string | null
required
Minimum string length: 1
totalCount
integer
required
Required range: 0 <= x <= 9007199254740991